#!/usr/bin/env python
import polygen
import matplotlib.pyplot as plt

# Generate regular polygon with eight corners (decagon)
decagon = polygen.regular_star_polygon(10)

# Create the polygon plotting object
p = polygen.polyplot()

# Pass the decagon points to the plot object
p.set_points(decagon.points)

# Plot decagon. Use custom line color.
p.plot_all_to_all(line_width=2, line_color='#666666')

# Save figure as file
p.save_plot('decagon', transparent_background=True)
